//
//  AppDelegate.h
//  calc
//
//  Created by Loay Setrak on 2/08/13.
//  Copyright (c) 2013 Loay Setrak. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ConvModel.h"

@interface AppDelegate : NSObject {

IBOutlet id conv_display;
IBOutlet id a_button;
IBOutlet id s_button;
IBOutlet id m_button;
IBOutlet id d_button;
ConvModel*    conv_model;
}

//Mathematical button events.
- (IBAction) push_add:        (id) sender;
- (IBAction) push_divide:    (id) sender;
- (IBAction) push_multiply:    (id) sender;
- (IBAction) push_subtract:    (id) sender;

//Numeric button events.
- (IBAction) push_zero:(id) sender;
- (IBAction) push_one:(id) sender;
- (IBAction) push_two:(id) sender;
- (IBAction) push_three:(id) sender;
- (IBAction) push_four:(id) sender;
- (IBAction) push_five:(id) sender;
- (IBAction) push_six:(id) sender;
- (IBAction) push_seven:(id) sender;
- (IBAction) push_eight:(id) sender;
- (IBAction) push_nine:(id) sender;

//Internal functions.
- (void)push_number:(id) sender;
- (BOOL)sign_pushed;
- (void)check_calc_model;

//Other button events.
- (IBAction) push_clear:(id) sender;
- (IBAction) push_decimal:(id) sender;
- (IBAction) push_equal:(id) sender;

- (IBAction)Back:(id)sender;


@end
