//
//  ConvModel.m
//  calc
//
//  Created by Loay Setrak on 2/08/13.
//  Copyright (c) 2013 Loay Setrak. All rights reserved.
//

#import "ConvModel.h"

@implementation ConvModel

@synthesize running_total, sign_state, first_call;

- (void) computeNewDisplayVal: (float) currDisplayVal {
    if (self.first_call) {
        self.running_total = currDisplayVal;
        self.first_call = NO;
    }
    else {
        switch (self.sign_state) {
            case 'a':
                self.running_total = self.running_total + currDisplayVal;
                break;
            case 'd':
                self.running_total = self.running_total / currDisplayVal;
                break;
            case 'm':
                self.running_total = self.running_total * currDisplayVal;
                break;
            case 's':
                self.running_total = self.running_total - currDisplayVal;
                break;
        }
    }
}

@end
